## ros-indigo-catkin-virtualenv 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(catkin_virtualenv)

find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS ${PROJECT_NAME}-extras.cmake)

catkin_python_setup()

install(DIRECTORY cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN ${PROJECT_NAME}-extras.cmake* EXCLUDE
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_python()
  roslint_add_test()

  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-indigo-catkin-virtualenv (0.1.4-0trusty) trusty; urgency=high

  * Fixup CMake and local directory cleanup
  * Merge pull request #9 <https://github.com/locusrobotics/catkin_virtualenv/issues/9> from locusrobotics/python3-compat
    Python 3 compatiblity tweaks
  * Add base requirements file for python3 catkin; include extra data about requirement merge failure
  * Fix cmake lint errors
  * Add XML schema, README badges, fix travis config for debian jessie, and remove legacy scripts
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Sun, 03 Dec 2017 05:00:00 -0000

ros-indigo-catkin-virtualenv (0.1.3-0trusty) trusty; urgency=high

  * Simplify install path
  * Clean up vars
  * Instantiate both a devel- and install-space venv
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 27 Nov 2017 05:00:00 -0000

ros-indigo-catkin-virtualenv (0.1.2-0trusty) trusty; urgency=high

  * Drop rosbash dependency and move python scripts into cmake directory
  * More tweaks to get nosetests working in python3
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 23 Nov 2017 05:00:00 -0000

ros-indigo-catkin-virtualenv (0.1.1-0trusty) trusty; urgency=high

  * Fixup module path
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 22 Nov 2017 05:00:00 -0000

ros-indigo-catkin-virtualenv (0.1.0-0trusty) trusty; urgency=high

  * Fix trusty support
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 22 Nov 2017 05:00:00 -0000

ros-indigo-catkin-virtualenv (0.0.1-0trusty) trusty; urgency=high

  * Add license
  * Overhaul virtualenv generation and add Python 3 support (#1 <https://github.com/locusrobotics/catkin_virtualenv/issues/1>)
    * Rewrite build_venv in python
    * Use dh_virtualenv to do the heavy lifting; embed new version of dh_virtualenv internally
    * Update CMake to generate virtualenv appropriately for install and devel space
  * Initial implementation
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Wed, 22 Nov 2017 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-catkin-virtualenv
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-catkin-virtualenv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-enum34, python-virtualenv, python3-dev
Description: Bundle a virtualenv with a catkin package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-catkin-virtualenv//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
